## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/tdewolff/minify
%global goipath         github.com/tdewolff/minify
Version:                2.20.18

%gometa

%global goaltipaths     github.com/tdewolff/minify/v2

%global common_description %{expand:
Minify is a minifier package written in Go. It provides HTML5, CSS3, JS, JSON,
SVG and XML minifiers and an interface to implement any other minifier.
Minification is the process of removing bytes from a file (such as whitespace)
without changing its output and therefore shrinking its size and speeding up
transmission over the internet and possibly parsing. The implemented minifiers
are designed for high performance.

The core functionality associates mimetypes with minification functions,
allowing embedded resources (like CSS or JS within HTML files) to be minified as
well. Users can add new implementations that are triggered based on a mimetype
(or pattern), or redirect to an external command (like ClosureCompiler,
UglifyCSS, ...).}

%global golicenses      LICENSE
%global godocs          README.md README-minify.md

Name:           %{goname}
Release:        %autorelease
Summary:        Go minifiers for web formats

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  (golang(github.com/tdewolff/parse/v2) >= 2.7.12 with golang(github.com/tdewolff/parse/v2) < 3)

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
mv cmd/minify/README.md README-minify.md
sed -i \
    -e 's|\<minify\>|gominify|' \
    cmd/minify/bash_completion

%generate_buildrequires
%go_generate_buildrequires

%build
export LDFLAGS='-X main.Version=%{version} '
%gobuild -o %{gobuilddir}/bin/gominify %{goipath}/cmd/minify

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
# shell completion
install -d %{buildroot}%{_datadir}/bash-completion/completions
install -Dpm0644 cmd/minify/bash_completion %{buildroot}%{_datadir}/bash-completion/completions/gominify

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md README-minify.md
%{_bindir}/*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/gominify

%gopkgfiles

%changelog
* Tue Feb 27 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.20.18-1
- Update to latest version (#2245375)

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 2.12.9-4
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 11 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.12.9-1
- Update to latest version (#2228295)

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 04 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.12.7-1
- Update to latest version (#2216307)

* Sun May 28 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.12.6-1
- Update to latest version (#2210396)

* Thu Mar 16 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.12.5-1
- Update to latest version (#2179180)

* Wed Mar 15 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.12.4-3
- Backport fix to tests with latest parse

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 16 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.12.4-1
- Update to latest version (#2131918)

* Sun Oct 02 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.12.2-1
- Update to latest version (#2129582)

* Sat Sep 03 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.12.1-1
- Update to latest version (#2100307)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.11.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 2.11.10-4
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sun Jun 19 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.11.10-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.11.10-2
- Add missing archive

* Fri Jun 17 2022 W. Michael Petullo <mike@flyn.org> - 2.11.10-1
- Update to latest version Close: rhbz#2073630

* Sat Jan 29 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.10.0-1
- Update to latest version (#2042248)

* Sat Jan 15 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.28-1
- Update to latest version (#2040784)

* Sat Jan 08 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.27-1
- Update to latest version (#2037134)

* Thu Dec 30 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.26-1
- Update to latest version (#2036224)

* Mon Dec 20 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.24-2
- Remove old patch

* Mon Dec 20 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.24-1
- Update to latest version (#2032064)

* Sat Oct 09 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.22-2
- Backport patch for latest parse

* Sat Oct 09 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.22-1
- Update to latest version (#2003312)

* Tue Aug 03 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.21-1
- Update to latest version (#1989404)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 11 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.19-1
- Update to latest version (#1975494)

* Sat Jun 12 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.17-1
- Update to latest version (#1965022)

* Thu Apr 15 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.16-1
- Update to latest version (#1948878)

* Tue Mar 16 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.15-1
- Update to latest version (#1939296)

* Tue Feb 16 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.13-1
- Update to latest version (#1928945)

* Sun Feb 07 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.12-1
- Update to latest version

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.11-2
- Correct minimum version of parse dependency

* Fri Jan 22 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.9.11-1
- Update to 2.9.11
- Close: rhbz#1918451

* Mon Oct 26 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.10-1
- Update to latest version (#1891192)

* Sat Oct 17 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.9-1
- Update to latest version (#1888957)

* Fri Oct 16 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.8-1
- Update to latest version (#1888852)

* Thu Oct 01 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.7-1
- Update to latest version (#1884132)

* Wed Sep 23 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.5-1
- Update to latest version (#1882059)

* Sat Sep 05 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.4-1
- Update to latest version (#1876030)

* Fri Sep 04 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.3-1
- Update to latest version (#1874267)

* Sat Aug 29 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.1-1
- Update to latest version (#1873758)

* Thu Aug 27 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.0-1
- Update to latest version (#1872936)

* Mon Aug 24 11:47:40 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.8.0-2
- Add alternate import path

* Wed Jul 29 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.8.0-1
- Update to latest version
- Install bash completion

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 25 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.7-1
- Update to latest version

* Sat Apr 25 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.4-1
- Update to latest version

* Sun Mar 15 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.3-1
- Update to latest version

* Sat Feb 15 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.2-1
- Update to latest version

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 02 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.2-1
- Update to latest version

* Tue Nov 26 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.0-1
- Update to latest version

* Fri Sep 06 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.5.2-1
- Update to latest version

* Sun Aug 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.5.1-1
- Update to latest version

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 03 22:53:20 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.5.0-2
- Update to new macros

* Fri May 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.5.0-1
- Update to latest version

* Tue Apr 23 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.4.0-1
- Update to latest version

* Sat Mar 02 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.8-2
- Uncomment test BRs
- Depend on unversioned tdewolff/parse until Go modules are supported in Fedora

* Sun Feb 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.8-1
- First package for Fedora

